﻿using System;
using PluginLoader;
using Terraria;

namespace TranscendPlugins
{
    public class UseTime : MarshalByRefObject, IPluginItemSetDefaults
    {
        public void OnItemSetDefaults(object item)
        {
            var tItem = item as Item;
            if (tItem.axe > 0 || tItem.pick > 0 || tItem.hammer > 0)
                tItem.useTime = 1;
        }
    }
}
